Skip to main content
`Ctrl`+`K`

# DMPlexGetDataFVM

Retrieve precomputed cell geometry

## Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexGetDataFVM(DM dm, PetscFV fv, Vec *cellgeom, Vec *facegeom, DM *gradDM)

Collective

## Input Parameters

- dm - The `DM`

- fv - The `PetscFV`

## Output Parameters

- cellgeom - The cell geometry

- facegeom - The face geometry

- gradDM - The gradient matrices

## See Also

`DMPLEX`, `DMPlexComputeGeometryFVM()`

## Level

developer

## Location

src/dm/impls/plex/plexgeometry.c

## Examples

src/ts/tutorials/ex52.c
src/ts/tutorials/ex11.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages